<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://justwm.ru/
Автор модуля Somon Ashuraliev
*/

$title = 'Персональная ссылка';

require_once ('../system/function.php');
require_once ('../system/header.php');

# посылаем гостей нахуй хахах
if(!$user['id']) exit(header('Location: '.$HOME));
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | '.$title.'</div>';
if (isset($user) & $user['money']<=10 and $user['rang'] < 3){
echo "<div class='podmenu'>Извините, но у Вас не хватает денег для смены  ссылки, нужно <b>10</b> руб<br/>У вас <b>$user[money]</b> руб\n</div>";
echo "<div class='podmenu'><a href='".$HOME."/user/cab.php'><b>Назад</b></a></div>";

require_once ('../system/footer.php');
exit();
}



if (isset($_POST['submit'],$_POST['urli']))
{
$urli = mysql_real_escape_string($_POST['urli']);
//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $urli)){
echo err('Символики запрещени!');
require_once ('../system/footer.php'); exit;
}


if($user['rang'] > 2){
mysql_query("UPDATE `users` SET `urli` = '".$urli."' WHERE `id` = '".$user['id']."'");
}
elseif($user['rang'] < 3){
mysql_query("UPDATE `users` SET `urli` = '".$urli."' WHERE `id` = '".$user['id']."'");
mysql_query("UPDATE `users` SET `money` = '".($user['money']-10)."' WHERE `id` = '$user[id]' LIMIT 1");
}
echo '<div class="podmenu"><b><center>Ваша ссылка на профиль успешно изменена, с Вас списано 10 руб</center></b></div>';
echo '<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu">Вы можете сменить ссылку на профиль за <b>10 руб:</b></div>';


echo '
<div class="podmenu"><form action="" method="POST">
Короткая ссылка:<br/> <input type="text" name="urli" value="'.$user['urli'].'"/> <br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
';

require_once ('../system/footer.php');
?>